Bug 1777954 - VM Templates greater then 101 quantity are not listed/reported in RHV-M Webadmin UI.
Summary: VM Templates greater then 101 quantity are not listed/reported in RHV-M Webad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.4.0
: ---
Assignee: Lucia Jelinkova
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-28 18:50 UTC by Bimal Chollera
Modified: 2020-08-04 13:21 UTC (History)
3 users (show)

Fixed In Version: ovirt-engine 4.4.0-26 b5b5c99ca2f
Doc Type: Bug Fix
Doc Text:
Previously, for the list of virtual machine templates in the Administration Portal, a paging bug hid every other page, and the templates on those pages, from view. The current release fixes this issue and displays every page of templates correctly.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:21:16 UTC
oVirt Team: Virt
Target Upstream Version:
rbarry: needinfo-
ljelinko: needinfo-
lsvaty: testing_plan_complete-


Attachments (Terms of Use)
Screen shot VM Template. (23.66 KB, image/png)
2019-11-28 18:50 UTC, Bimal Chollera
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4620131 0 None None None 2019-11-28 20:00:06 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:37 UTC
oVirt gerrit 106458 0 master MERGED webadmin: fix templates table paging 2020-09-08 13:08:14 UTC

Description Bimal Chollera 2019-11-28 18:50:45 UTC
Created attachment 1640464 [details]
Screen shot VM Template.

Description of problem:

VM Templates greater then 101 quantity are not listed/reported in RHV-M Webadmin UI.

From RHV-M Webadmin UI -> Compute -> Template 
VM Templates from 1-100 will be listed/reported but when clicking on the > (arrow) on the far right for the next page, it will show 201-200 instead of starting at 101.  Also there are no VM Templates listed/displayed.

Screen shot attached.

Version-Release number of selected component (if applicable):

ovirt-engine-4.3.6.7-0.1.el7.noarch

How reproducible:

100%

Steps to Reproduce:

1.  Create over 100 VM Templates from a VM.

I used the following api script with a loop to create VM Templates.

~~~
https://github.com/oVirt/ovirt-engine-sdk/blob/master/sdk/examples/add_template.py
~~~

2.  From RHV-M Webadmin UI -> Compute -> Template 
VM Templates from 1-100 will be listed/reported but when clicking on the > (arrow) on the far right for the next page, it will show 201-200 instead of starting at 101.  Also there are no VM Templates listed/displayed.

3.

Actual results:

RHV-M Webadmin UI doesn't list/display VM Templates greater then 101.
 
Expected results:

Should list/appear VM Templates over 101.

Additional info:

Comment 1 Marina Kalinin 2020-01-16 21:55:06 UTC
Ryan, this looks like a legit bug. Please take a look.

Comment 6 Pavel Novotny 2020-04-01 23:59:31 UTC
Verified in
ovirt-engine-4.4.0-0.29.master.el8ev.noarch
ovirt-engine-webadmin-portal-4.4.0-0.29.master.el8ev.noarch

Table paging for more than 100 templates now works correctly.
Tried with 450 templates, the paging works properly and all templates on all pages were displayed correctly.

Comment 11 errata-xmlrpc 2020-08-04 13:21:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.